OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
ExpandNarrowband< TreeType, MeshDataAdapter >::Fragment Struct Reference

`#include <MeshToVolume.h>`

## Public Member Functions
| Fragment ()
| Fragment (Int32 idx_, Int32 x_, Int32 y_, Int32 z_, ValueType dist_)
bool | operator< (const Fragment &rhs) const

## Public Attributes
Int32 | idx
Int32 | x
Int32 | y
Int32 | z
ValueType | dist

## Constructor & Destructor Documentation

## ◆ Fragment() [1/2]

Fragment | ( |  | ) |
| inline

## ◆ Fragment() [2/2]

Fragment | ( | Int32 | idx_,
|  | Int32 | x_,
|  | Int32 | y_,
|  | Int32 | z_,
|  | ValueType | dist_
| ) |  |
| inline

## Member Function Documentation

## ◆ operator<()

bool operator< | ( | const Fragment & | rhs | ) | const
| inline

## Member Data Documentation

## ◆ dist

ValueType dist

## ◆ idx

Int32 idx

## ◆ x

Int32 x

## ◆ y

Int32 y

## ◆ z

Int32 z

The documentation for this struct was generated from the following file:

- MeshToVolume.h